﻿using Syncfusion.SfAutoComplete.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using Xamarin.Forms;
using System.Collections.ObjectModel;

namespace AutoComplete128205
{
    public partial class AutoComplete128205Page : ContentPage
    {
        ObservableCollection<String> countryNames;
        SfAutoComplete autoComplete;

        public AutoComplete128205Page()
        {
            InitializeComponent();
			countryNames = new ObservableCollection<String>();
			countryNames.Add("Uganda");
			countryNames.Add("Ukraine");
			countryNames.Add("United Arab Emirates");
			countryNames.Add("United Kingdom");
			countryNames.Add("United States");

            autoComplete = new SfAutoComplete();
            autoComplete.SuggestionMode = SuggestionMode.StartsWith;
            autoComplete.Watermark = "Enter Country Name";
            autoComplete.DataSource = countryNames;
            autoComplete.SelectionChanged += AutoComplete_SelectionChanged;

            Label label = new Label();
            label.Text = "AutoComplete";

            Button button = new Button();
            button.Text = "Clear";
            button.Clicked += Button_Clicked;

			StackLayout stack = new StackLayout();
            stack.Padding = new Thickness(10, 10, 10, 10);
            stack.Children.Add(label);
			stack.Children.Add(autoComplete);
            stack.Children.Add(button);
          
            this.Content = stack;
        }

        void Button_Clicked(object sender, EventArgs e)
        {
            autoComplete.Text = String.Empty;
        }

        void AutoComplete_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
        }
    }
}